import { Component ,Inject,ViewChild} from '@angular/core';
import { DataSvc } from '../services/DataSvc';

import * as wjCore from 'wijmo/wijmo';
import * as wjGrid from 'wijmo/wijmo.grid';
import * as wjInput from 'wijmo/wijmo.input';
import * as wjcGridXlsx from 'wijmo/wijmo.grid.xlsx';


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
    public data: wjCore.CollectionView;
    public countries: any[];
    private _dataSvc: DataSvc;
    public child;
    constructor( @Inject(DataSvc) _dataSvc: DataSvc) {
        this._dataSvc = _dataSvc;
        this.countries = this._dataSvc.getCountries();
        this.data= new wjCore.CollectionView(this._dataSvc.getTreeData());
        this.child= this._dataSvc.getChild();
    }
    @ViewChild('flex') flex:wjGrid.FlexGrid;

    initGrid(s, e) {
        for(let i=0;i<s.rows.length;i++){
            s.rows[i].isReadOnly=true;
        }
    }

    ddChanged(cb, event) {
        console.log('SelectedIndexChange event triggered- from inside ddChanged');
        const selectedItem: any = this.flex.selectedItems[0];
        const currentRow: any = this.flex.selectedRows[0];
        // this value in my app is calculated based in selection from drop-down
        selectedItem.type = 'some calcualed value';
        this.flex.invalidate();
    }

    exportToExcel() {
        console.log('Initiating export to excel...');
        wjcGridXlsx.FlexGridXlsxConverter.save(
            this.flex,
            { includeColumnHeaders: true, includeCellStyles: false },
            'ProjectSummary.xlsx'
        );
        console.log('Finished exporting to excel.');
    }
}
