﻿import * as wjcCore from 'wijmo/wijmo';

'use strict';

import { Injectable } from '@angular/core';
import { Observable } from "rxjs";

// Common data service
@Injectable()
export class DataSvc {


    getData(count: number): wjcCore.ObservableArray {
        var desc = 'International Business Machines Corp,Google Inc,Thomson Reuters,Microsoft Corp,Apple Inc,Random Text that happens to be long'.split(','),
            countries = 'US,Germany,UK,Japan,Italy,Greece'.split(','),
            data = new wjcCore.ObservableArray();
        for (var i = 0; i < count; i++) {
            data.push({
                id: i%6,
                country: countries[i % countries.length],
                description: desc[i % desc.length],
                date: new Date(2014, i % 12, i % 28),
                amount: Math.random() * 10000,
                active: i % 4 == 0
            });
        }
        return data;
    }
   getChild(){
       return [
        // { names: '\u266B Adriane Simione'},
        // { names: '\u266A Intelligible Sky'},
        // { names: '\u266B Amy Winehouse'},
        // { names: '\u266A Back to Black'},
        { names: 'Theories', length: '2:02' },
        { names: 'Giant Eyes', length: '3:29' },
        { names: 'Jovian Moons', length: '1:02' },
        { names: 'Open Minds', length: '2:41' },
        { names: 'Spacetronic Eyes', length: '3:41' },
        { names: 'Addicted', length: '1:34' },
        { names: 'He Can Only Hold Her', length: '2:22' },
        { names: 'Some Unholy War', length: '2:21' },
        { names: 'Wake Up Alone', length: '3:43' },
        { names: 'Tears Dry On Their Own', length: '1:25' }
       ]
   }
    getTreeData() {
        return [
            {
                name: '\u266B Adriane Simione', items: [
                    {
                        name: '\u266A Intelligible Sky', items: [
                            { name: 'Theories', length: '2:02', type:'' },
                            { name: 'Giant Eyes', length: '3:29', type:'' },
                            { name: 'Jovian Moons', length: '1:02', type:'' },
                            { name: 'Open Minds', length: '2:41', type:'' },
                            { name: 'Spacetronic Eyes', length: '3:41', type:'' }]
                    }
                ]
            },
            {
                name: '\u266B Amy Winehouse', items: [
                    {
                        name: '\u266A Back to Black', items: [
                            { name: 'Addicted', length: '1:34', type: '' },
                            { name: 'He Can Only Hold Her', length: '2:22', type:'' },
                            { name: 'Some Unholy War', length: '2:21', type:'' },
                            { name: 'Wake Up Alone', length: '3:43', type:'' },
                            { name: 'Tears Dry On Their Own', length: '1:25', type:'' }]
                    }]                

            }];
    }
    getCountries() {
        let countries = 'US,Germany,UK,Japan,Italy,Greece'.split(','),
             data=[];
        for (let i = 0; i < countries.length; i++) {
            data.push({
                id: i,
                country: countries[i % countries.length]
            });
        }
        return data;
    }
}

